std::reference_wrapper< _Tp > Class Template Reference
Utilities » Function Objects
Inheritance diagram for std::reference_wrapper< _Tp >:
[legend]

## Public Types

typedef _Tp | type

## Public Member Functions

| reference_wrapper (_Tp &&)=delete
| reference_wrapper (_Tp &__indata) noexcept
| reference_wrapper (const reference_wrapper &)=default
_Tp & | get () const noexcept
| operator _Tp & () const noexcept
template<typename... _Args>
result_of< _Tp &(_Args &&...)>::type | operator() (_Args &&... __args) const
reference_wrapper & | operator= (const reference_wrapper &)=default

## Detailed Description

### template<typename _Tp>
class std::reference_wrapper< _Tp >

Primary class template for reference_wrapper.

Definition at line 326 of file refwrap.h.

The documentation for this class was generated from the following file:

- refwrap.h